import { StiHttpClientService } from "./http-client.service";
import { StiModelService } from "./model.service";
import { StiUsedFontsList, UsedFont } from "./objects";
import * as i0 from "@angular/core";
export declare class StiFontService {
    model: StiModelService;
    httpService: StiHttpClientService;
    private signatureFontsLoaded;
    checkedFonts: StiUsedFontsList;
    constructor(model: StiModelService, httpService: StiHttpClientService);
    loadFont(fonts: UsedFont[]): void;
    loadSignatureFonts(): void;
    loadFontsToCss(data: any[]): void;
    checkFonts(): void;
    updateFonts(font: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFontService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiFontService>;
}
